package jp.ac.naka.ec.dht;

import java.net.InetAddress;
import java.util.EventObject;

public class LookupEvent extends EventObject {

	private int status;
	
	public static final int SUCCESS = 1;
	public static final int FAIL = 2;
	private InetAddress addr;
	
	public LookupEvent(Object source) {
		super(source);
	}


	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}


	public void setPeerAddress(InetAddress addr) {
		this.addr = addr;
	}
	
	public InetAddress getPeerAddress() {
		return addr;
	}
	
	
}
